Package ru.bitel.bgbilling.modules.phone.server.bean

# Class GateWorker

java.lang.Object
java.lang.Thread
ru.bitel.bgbilling.modules.phone.server.bean.GateWorker

All Implemented Interfaces:
  `Runnable`

public class GateWorker extends Thread

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GateWorker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getExceptions()`
  `StringBuffer`
  `getResultLog()`
  `void`
  `init(Gate gate, Connection con, int mid, GateType gateType, int cid, int status)`
  `void`
  `run()`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GateWorker

    public GateWorker()

- ## Method Details

  - ### init

    public void init(Gate gate, Connection con, int mid, GateType gateType, int cid, int status)

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`

  - ### getResultLog

    public StringBuffer getResultLog()

  - ### getExceptions

    public String getExceptions()